Bug 315651 - kdebase: Opacity with windows moving between desktops ignores normal behavior
kdebase: Opacity with windows moving between desktops ignores normal behavior
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: kdebase (Show other bugs)
7
All Linux
low Severity low
: ---
: ---
Assigned To: Ngo Than
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-10-02 13:32 EDT by Ben Boeckel
Modified: 2008-06-16 22:33 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-06-16 22:33:49 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
KDE Software Compilation 150650 None None None Never

  None (edit)
Description Ben Boeckel 2007-10-02 13:32:15 EDT
Description of problem:
When moving windows to different desktops with the following settings, the moved
window does not change opacity to the inactive window opacity when focus
changes, instead it stays at the active window opacity. It can go back to the
right behavior is the opacity on the windows is manually changed.

Version-Release number of selected component (if applicable):
kdegraphics-3.5.7-2.fc7.x86_64

How reproducible:
Always


Steps to Reproduce:
1. Set translucency for active windows and inactive windows differently
2. Move a window from one desktop to another
3. Change focus away from moved window
  
Actual results:
Window stays at active window opacity

Expected results:
Window changes to inactive window opacity

Additional info:
This is on an x86_64 machine, and I'm not sure how other architectures react.
Comment 1 Rex Dieter 2007-10-02 13:37:06 EDT
looks like kwin behavior at issue here, reassigning -> kdebase
Comment 2 Ben Boeckel 2007-10-07 00:37:26 EDT
After checking out some other instances of this, it seems that when I change 
it with alt+scrollwheel on the titlebar (a custom setting) or right click and 
send it to another desktop it happens.

Another problem I've encountered (this may be a separate bug, but I think it 
is related) is that when I click on KMail, Akregator, or Kopete to bring up an 
instance, it also refuses to change opacity unless manually changed. However, 
when changed, it acts as if it was following the opacity rules, it's just not 
reflected in the actual representation of it.
Comment 3 Bug Zapper 2008-05-14 10:36:04 EDT
This message is a reminder that Fedora 7 is nearing the end of life. Approximately 30 (thirty) days from now Fedora will stop maintaining and issuing updates for Fedora 7. It is Fedora's policy to close all bug reports from releases that are no longer maintained. At that time this bug will be closed as WONTFIX if it remains open with a Fedora 'version' of '7'.

Package Maintainer: If you wish for this bug to remain open because you plan to fix it in a currently maintained version, simply change the 'version' to a later Fedora version prior to Fedora 7's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that we may not be able to fix it before Fedora 7 is end of life. If you would still like to see this bug fixed and are able to reproduce it against a later version of Fedora please change the 'version' of this bug. If you are unable to change the version, please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's lifetime, sometimes those efforts are overtaken by events. Often a more recent Fedora release includes newer upstream software that fixes bugs or makes them obsolete. If possible, it is recommended that you try the newest available Fedora distribution to see if your bug still exists.

Please read the Release Notes for the newest Fedora distribution to make sure it will meet your needs:
http://docs.fedoraproject.org/release-notes/

The process we are following is described here: http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 4 Bug Zapper 2008-06-16 22:33:47 EDT
Fedora 7 changed to end-of-life (EOL) status on June 13, 2008. 
Fedora 7 is no longer maintained, which means that it will not 
receive any further security or bug fix updates. As a result we 
are closing this bug. 

If you can reproduce this bug against a currently maintained version 
of Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.